Package fr.gouv.vitam.functionaltest.cucumber.report

# Class Report

java.lang.Object
fr.gouv.vitam.functionaltest.cucumber.report.Report

public class Report extends Object
cucumber report for an individual test

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Report()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addError(String error)`
  `void`
  `addTag(String tagName)`
  `String`
  `getDescription()`
  `LocalDateTime`
  `getEnd()`
  `List<String>`
  `getErrors()`
  `String`
  `getFeature()`
  `String`
  `getOperationId()`
  `LocalDateTime`
  `getStart()`
  `List<String>`
  `getTags()`
  `String`
  `getType()`
  `boolean`
  `isOK()`
  `void`
  `setDescription(String description)`
  `void`
  `setEnd(LocalDateTime end)`
  `void`
  `setFeature(String feature)`
  `void`
  `setOperationId(String operationId)`
  `void`
  `setStart(LocalDateTime start)`
  `void`
  `setTags(List<String> tags)`
  `void`
  `setType(String type)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Report

    public Report()

- ## Method Details

  - ### getFeature

    public String getFeature()
    Returns:
      name of the feature

  - ### setFeature

    public void setFeature(String feature)
    Parameters:
      `feature` - name of the feature

  - ### getOperationId

    public String getOperationId()
    Returns:
      id operation

  - ### setOperationId

    public void setOperationId(String operationId)
    Parameters:
      `operationId` - id operation

  - ### getType

    public String getType()
    Returns:
      type

  - ### setType

    public void setType(String type)
    Parameters:
      `type` - type

  - ### getDescription

    public String getDescription()
    Returns:
      description

  - ### setDescription

    public void setDescription(String description)
    Parameters:
      `description` - description

  - ### isOK

    public boolean isOK()
    Returns:
      true if the error list is empty, false otherwise

  - ### getTags

    public List<String> getTags()
    Returns:
      list of tags

  - ### setTags

    public void setTags(List<String> tags)

  - ### getErrors

    public List<String> getErrors()
    Returns:
      list of errors

  - ### addError

    public void addError(String error)
    Parameters:
      `error` - add error to the errors list

  - ### addTag

    public void addTag(String tagName)
    Parameters:
      `tagName` - add tagName to the Tags list

  - ### getStart

    public LocalDateTime getStart()
    Returns:
      the start

  - ### setStart

    public void setStart(LocalDateTime start)
    Parameters:
      `start` - the start to set

  - ### getEnd

    public LocalDateTime getEnd()
    Returns:
      the end

  - ### setEnd

    public void setEnd(LocalDateTime end)
    Parameters:
      `end` - the end to set